Support » Plugin: WP Mobile Menu - The Mobile-Friendly Responsive Menu » Error message from WP: Your site have a technical error

  • Received a mail from WordPress about a technical error in my WP installation

    An error of the type E_PARSE orccored in line 76 in the file /home/www/ronnespejder.dk/wp-content/plugins/mobile-menu/options-framework/lib/class-admin-page.php. Error message: syntax error, unexpected ‘?’

    what to do?

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Rui Guerreiro

    (@takanakui)

    Hi @boldt,

    This could be related to your PHP version. What version are you using?
    If you are using an 5.XX version can you upgrade to a 7.XX version?

    Thanks

    Thread Starter Mikael Boldt

    (@boldt)

    I am using php 7.3

    Plugin Author Rui Guerreiro

    (@takanakui)

    I double-checked and I’m using an instruction that is only available since ePHP 7.4

    If you can try to upgrade to 7.4 to see if it goes away or inside the file /home/www/ronnespejder.dk/wp-content/plugins/mobile-menu/options-framework/lib/class-admin-page.php

    replace this code that starts on line 74

    public function createAdminPanel( $settings )
        {
            $settings['parent'] = $this->settings['id'] ?? null;
            return $this->owner->createAdminPanel( $settings );
      }

    by this one

    public function createAdminPanel( $settings ) {
    		
    		if ( ! isset( $this->settings['id'] ) ) {
    			$settings['parent'] = null;
    		}
    
    		return $this->owner->createAdminPanel( $settings );
    	}

    Thanks. Let me know if it worked

    Thread Starter Mikael Boldt

    (@boldt)

    Thank you.

    Please, the error was mailed to me – properly by some auto-generated system.
    My webpage seems to work – ok also on my cell.
    I raised this question because I receive the message.

    I as long as it is working for me I have no problem. I prefer not to change your code.

    I hope you keep up the good work and maintain your Plugin.

    • This reply was modified 5 months, 2 weeks ago by Mikael Boldt.
    Plugin Author Rui Guerreiro

    (@takanakui)

    Thanks @boldt Another user got the same message but he is using PHP 5.6

    I’m just making some tests and will release an update with those changes to avoid that situation.

    Thanks for the kind words.

    Plugin Author Rui Guerreiro

    (@takanakui)

    @boldt

    I just released the version 2.8.2.1
    Let me know if there is any issue.

Viewing 6 replies - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.